# $Revision: 1.71 $, $Date: 2006/03/14 13:12:02 $
#
# Conditional build
%bcond_without	doc	# don't build documentation
#
Summary:	Utilities for IPv4/IPv6 networking
Summary(pl):	Uytki przeznaczone dla pracy z sieci IPv4/IPv6
Summary(ru):	    (ping, tracepath etc.)
Summary(uk):	¦   ̦ (ping, tracepath etc.)
Name:		iputils
Version:	ss021109
Release:	4
Epoch:		1
License:	BSD
Group:		Networking/Admin
Source0:	ftp://ftp.inr.ac.ru/ip-routing/%{name}-%{version}-try.tar.bz2
# Source0-md5:	dd10ef3d76480990a2174d2bb0daddaf
Patch0:		%{name}-ping6-no_cr_in_errors.patch
Patch1:		%{name}-ping_sparcfix.patch
Patch2:		%{name}-pmake.patch
Patch3:		%{name}-gkh.patch
Patch4:		%{name}-Makefile.patch
Patch5:		%{name}-pf.patch
Patch6:		%{name}-syserror.patch
Patch7:		%{name}-bindnow.patch
Patch8:		%{name}-gcc34.patch
%if %{with doc}
BuildRequires:	docbook-dtd30-sgml
BuildRequires:	docbook-dtd31-sgml
BuildRequires:	docbook-utils >= 0.6.10
%endif
BuildRequires:	linux-libc-headers
Requires:	arping
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPv4/IPv6 networking utils:
- clockdiff Measures clock difference between us and <destination>
  with 1msec resolution. Without -o option it uses icmp timestamps, with
  -o it uses icmp echo with timestamp IP option,
- ping/ping6,
- traceroute6,
- arping Ping <address> on device <interface> by ARP packets, using
  source address <source>,
- rdisc Classic router discovery daemon,
- tracepath/tracepath6 It traces path to <destination> discovering MTU
  along this path. It uses UDP port <port> or some random port.

%description -l pl
Narzdzia przeznaczone dla sieci IPv4/IPv6:
- clockdiff Sprawdza rnic czasu/daty pomidzy nami a innym
  komputerem z rozdzielczoci 1ms,
- ping/ping6,
- traceroute6,
- arping Pinguje <adres> na interfejsie <interfejs> wysyajc pakiety
  ARP,
- rdisc Klasyczny serwer router discovery,
- tracepath/tracepath6 ledzi drog pakietw do <przeznaczenia>
  wykorzystujc MTU discovery.

%description -l ru
 iputils      (ping, tracepath
etc.)   .     traceroute,
    .

%description -l uk
 iputils ͦ ¦   ̦ (ping, tracepath
etc.) צ Ӧ Τ.   ͦ  traceroute,
 ͦ   Ԧ.

%package ping
Summary:	IPv4 ping
Summary(pl):	ping wykorzystujcy IPv4
Group:		Networking/Admin
Provides:	ping
Obsoletes:	inetutils-ping
Obsoletes:	ping

%description ping
IPv4 ping.

%description ping -l pl
ping wykorzystujcy IPv4.

%package arping
Summary:	arping
Summary(pl):	arping
Group:		Networking/Admin
Provides:	arping
Obsoletes:	arping

%description
Ping <address> on device <interface> by ARP packets, using
source address <source>.

%description arping -l pl
Pinguje <adres> na interfejsie <interfejs> wysyajc pakiety
ARP uywajc rdowego adresu <rdo>.

%prep
%setup  -q -n %{name}
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch5 -p1
%patch6 -p1
%patch7 -p0
%patch8 -p1

%build
# empty LDLIBS - don't link with -lresolv, it's not necessary
%{__make} all \
	CC="%{__cc}" \
	CCOPT="%{rpmcflags} -D_GNU_SOURCE -DHAVE_SIN6_SCOPEID=1" \
	LDLIBS=""

%{?with_doc:%{__make} html}
%{__make} man

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8,/bin}

install arping clockdiff rdisc tracepath tracepath6 traceroute6 \
	$RPM_BUILD_ROOT%{_sbindir}

install ping ping6 $RPM_BUILD_ROOT/bin

install doc/*.8 $RPM_BUILD_ROOT%{_mandir}/man8
echo ".so tracepath.8" > $RPM_BUILD_ROOT%{_mandir}/man8/tracepath6.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc RELNOTES %{?with_doc:doc/*.html}
%attr(755,root,root) %{_sbindir}/tracepat*
%attr(755,root,root) %{_sbindir}/rdisc
%attr(4754,root,adm) %{_sbindir}/traceroute6
%attr(4754,root,adm) %{_sbindir}/clockdiff
%{_mandir}/man8/clockdiff.8*
%{_mandir}/man8/rdisc.8*
%{_mandir}/man8/tracepath*.8*
%{_mandir}/man8/traceroute6.8*

%files ping
%defattr(644,root,root,755)
%attr(4754,root,adm) /bin/ping
%attr(4754,root,adm) /bin/ping6
%{_mandir}/man8/ping.8*

%files arping
%defattr(644,root,root,755)
%attr(4754,root,adm) %{_sbindir}/arping
%{_mandir}/man8/arping.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: iputils.spec,v $
Revision 1.71  2006/03/14 13:12:02  glen
- add pf,syserror,bindnow,gcc34 patches; rel 4

Revision 1.70  2006/02/26 15:47:55  sparky
- oops

Revision 1.69  2006/02/26 14:54:44  sparky
- pass CC="%{__cc}"

Revision 1.68  2005/05/24 14:32:48  glen
- rel 3; STBR

Revision 1.67  2005/05/05 13:28:22  qboosh
- unified

Revision 1.66  2005/03/14 22:07:58  glen
- revert icmp group for /bin/ping*

Revision 1.65  2005/03/06 22:03:48  glen
- group icmp for /bin/ping*

Revision 1.64  2005/01/23 15:44:58  speedy
- arping moved to %package arping

Revision 1.63  2004/09/25 11:20:20  blues
- Obsoletes and provides for ping subpackage

Revision 1.62  2004/08/08 11:08:25  havner
- rel 2

Revision 1.61  2004/05/02 20:41:02  mmazur
- switched patch order

Revision 1.60  2004/03/13 21:25:25  mmazur
- bcond unification - based on http://www.gentoo.org/dyn/use-index.xml

Revision 1.59  2004/02/09 10:09:55  pluto
- s/glibc-kernel-headers/linux-libc-headers/

Revision 1.58  2004/01/29 07:39:23  pluto
- updated to ss021109.
- new style %bcond added.
- glibc-kernel-headers support added.

Revision 1.57  2003/09/28 21:44:05  twittner
- manpages shouldn't be exluded by bcond --without docs.

Revision 1.56  2003/09/28 21:26:04  twittner
- fixed my syntax mistake in %doc.

Revision 1.55  2003/09/28 00:01:56  twittner
- added bcond --without docs - don't build documentation - it allows
  to build on Ac for me.

Revision 1.54  2003/09/25 13:26:50  areq
- add 20001007-rh7.patch, now build in nest

Revision 1.53  2003/05/25 11:00:52  malekith
- massive attack, adding Source-md5

Revision 1.52  2003/05/25 05:49:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.51  2003/03/03 18:17:25  juandon
- added pmake.patch

Revision 1.50  2003/01/22 13:56:41  trojan
- updated to 020927

Revision 1.49  2002/08/17 15:56:24  blues
- fixed missing BR, more docs, kernel_is_fresh.patch seems to be no longer
  needed; STBR

Revision 1.48  2002/08/17 08:20:16  qboosh
- added BRs, added missing manuals, avoid linking with -lresolv (unnecessary)

Revision 1.47  2002/08/16 13:52:31  blues
- ss020124 - there are troubles with manuals generation

Revision 1.46  2002/08/16 13:18:13  blues
- release 5 - moved ping* to /bin; STBR

Revision 1.45  2002/04/25 16:37:22  arturs
- fixed a small typo

Revision 1.44  2002/03/20 23:50:49  kloczek
- release 4.

Revision 1.43  2002/03/14 18:30:55  adasi
 - kernel is not very fresh removed

Revision 1.42  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.41  2002/02/22 00:16:01  kloczek
- merge translations from KSI.

Revision 1.40  2002/02/22 00:11:48  kloczek
- release 3.

Revision 1.39  2002/02/21 21:02:30  adasi
- added patch adding missing \n at the end of errors

Revision 1.38  2002/01/18 02:13:21  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.37  2002/01/04 11:20:42  qboosh
- fixed ping pl description; release 2

Revision 1.36  2001/11/15 02:19:43  blues
- ss011002
- STBR

Revision 1.35  2001/11/04 12:53:57  grzegorz
- reverting last changes

Revision 1.34  2001/11/03 12:14:25  grzegorz
- removed r attr for others form all suid root binaries with adm group

Revision 1.33  2001/10/03 19:48:47  qboosh
- removed obsolete patches, use other way of passing optflags

Revision 1.32  2001/09/25 19:33:09  baggins
- started update to ss010805

Revision 1.31  2001/07/02 00:33:29  qboosh
- removed "Obsoletes: traceroute" - it doesn't provide IPv4 traceroute
- release 4

Revision 1.30  2001/06/28 02:13:02  kloczek
- release 3,
- changed permission on suid binaries to 4754/root.adm,
- merge ping-deadline, bug23844 rawhide patches.

Revision 1.29  2001/04/30 16:05:20  kloczek
- added using %{rpmcflags} macro.

Revision 1.28  2001/01/25 20:03:24  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.27  2001/01/11 11:23:24  zagrodzki
- release 2
- changed perms/group on setuid binaries

Revision 1.26  2000/12/23 00:48:45  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.25  2000/11/14 18:00:01  misiek
- updated to ss001110
- removed obsolete resolv patch

Revision 1.24  2000/10/28 11:53:33  misiek
- added glibc patch
- resolv patch for tracepath6, too

Revision 1.23  2000/10/09 04:37:56  kloczek
- adapterized, addud using new rpm automation suit and make %{debug} ready.

Revision 1.22  2000/10/08 02:46:07  baggins
- updated to ss001007
- move ping6 to ping package
- ENOUGH with SbO! 4755 on ping*

Revision 1.21  2000/06/09 07:23:03  kloczek
- added using %{__make} macro.

Revision 1.20  2000/05/21 01:39:51  kloczek
- spec adapterized.

Revision 1.19  2000/05/09 21:05:27  kloczek
- more cosmetics.

Revision 1.18  2000/05/09 21:04:54  kloczek
- spec adapterized.

Revision 1.17  2000/05/09 20:42:52  wiget
ss000418

Revision 1.16  2000/05/05 15:05:59  mis
- Group: synced with PLD groups

Revision 1.15  2000/04/01 11:14:46  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.13  2000/02/03 12:37:26  wiget
- ss000121

Revision 1.12  1999/12/09 19:15:54  kloczek
- release 2,
- changed permission on suid binaries to 4754 and root.root.

Revision 1.11  1999/10/29 10:19:56  kloczek
- cosmetics.

Revision 1.10  1999/10/28 07:20:36  wiget
- upgrade to ss991024

Revision 1.9  1999/09/08 00:02:17  wiget
- updated to new snapshots
- removed egcs patch

Revision 1.8  1999/07/18 14:53:23  baggins
- fixed bogus Group: field

Revision 1.7  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).

Revision 1.6  1999/07/11 17:53:17  misiek
- big update
